@ECHO OFF
REM ==========================================================================
REM  437-RTF.BAT                   1.001                           22. 9.2016
REM ==========================================================================
REM  Programm zur Umwandlung einer Datei mit Zeichensatztabelle 437 in das
REM  Rich Text Format (RTF) zum Ausdrucken.
REM ==========================================================================
REM  Bearbeitung:
REM  27.12.2007 -22. 9.2016 Norbert Sdland
REM ==========================================================================

REM Die folgenden Zeilen knnen die Variablen auch eventtuell lschen:
SET ERSTENS=%1
SET ZWEITENS=437-RTF.ERG
SET DRITTENS=%2

IF x%1x==xx GOTO Syntax
IF EXIST %1 GOTO Konvertierung
ECHO Die Quell-Datei "%1" konnte nicht gefunden werden.
ECHO Das Programm wird abgebrochen.
GOTO Ende

: Konvertierung
QBASIC /H /RUN 437-RTF.BAS
IF x%2x==xx GOTO Ende
IF EXIST %2 GOTO SchonDa
COPY 437-RTF.ERG %2
DEL 437-RTF.ERG
ECHO Die Datei "437-RTF.ERG" wurde nach "%2" kopiert.
GOTO Ende

: SchonDa
ECHO Die Datei "%2" existiert bereits und wird nicht berschrieben.
ECHO Das Ergebnis heit jetzt "437-RTF.ERG".
GOTO Ende

: Syntax
ECHO Syntax: 437-RTF.BAT [Quelle [Ziel]]
GOTO Ende

: Ende
SET DRITTENS=
SET ZWEITENS=
SET ERSTENS=

REM ==========================================================================
REM  Ende von "437-RTF.BAT"
REM ==========================================================================

